Bug 465823 - [LTC 6.0 FEAT] 201767:vt-d support for KVM userspace
[LTC 6.0 FEAT] 201767:vt-d support for KVM userspace
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.0
x86_64 All
high Severity high
: alpha
: 6.0
Assigned To: Chris Wright
: FutureFeature
Depends On:
Blocks: 356741 524565 555199
  Show dependency treegraph
 
Reported: 2008-10-06 11:35 EDT by IBM Bug Proxy
Modified: 2013-01-09 16:23 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-19 05:53:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-10-06 11:35:54 EDT
=Comment: #0=================================================
Emily J. Ratliff <ratliff@austin.ibm.com> - 
1. Feature Overview:
Feature Id:     [201767]
a. Name of Feature:     vt-d support for KVM userspace
b. Feature Description
KVM userspace changes to enable pci-passthrough to a virtual machine

2. Feature Details:
Sponsor:        LTC
Architectures:
x86
x86_64

Arch Specificity: Purely Arch Specific Code
Delivery Mechanism: Direct from community
Category:       xSeries
Request Type:   Other
d. Upstream Acceptance: In Progress
Sponsor Priority        2
f. Severity: Medium
IBM Confidential:       no
Code Contribution:      IBM code

3. Business Case
Platform exploitation.  Next gen HW will support this.  Provides a safe mechanism for giving direct
access to a PCI device in a  virtual machine

4. Primary contact at Red Hat:
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Ryan Harper, raharper@us.ibm.com

IBM Manager:
Warren Grunbok II, grunbok@us.ibm.com
Comment 1 Bill Nottingham 2008-10-07 23:07:47 EDT
Is this on target for a particular KVM release?
Comment 2 Chris Lalancette 2009-09-11 04:53:34 EDT
Changing component to "kvm", since it's not a xen userspace issue.

Chris Lalancette
Comment 3 Dor Laor 2009-09-24 07:47:10 EDT
iirc we do support vt-d even with rhel5.4, the main issue is hardware certification for the assigned devices. Can you please provide additional info for the devices? NIC should be easy, Graphic card will need additional work

Note You need to log in before you can comment on or make changes to this bug.